// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  src: url("../assets/fonts/montserrat-v10-latin-regular.eot");
  src: local("Montserrat Regular"), local("Montserrat-Regular"), url("../assets/fonts/montserrat-v10-latin-regular.eot?#iefix") format("embedded-opentype"),
    url("../assets/fonts/montserrat-v10-latin-regular.woff2") format("woff2"),
    url("../assets/fonts/montserrat-v10-latin-regular.woff") format("woff"),
    url("../assets/fonts/montserrat-v10-latin-regular.ttf") format("truetype"),
    url("../assets/fonts/montserrat-v10-latin-regular.svg#Montserrat") format("svg");
}

@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  src: url("../assets/fonts/montserrat-v10-latin-700.eot");
  src: local("Montserrat Bold"), local("Montserrat-Bold"), url("../assets/fonts/montserrat-v10-latin-700.eot?#iefix") format("embedded-opentype"),
    url("../assets/fonts/montserrat-v10-latin-700.woff2") format("woff2"),
    url("../assets/fonts/montserrat-v10-latin-700.woff") format("woff"),
    url("../assets/fonts/montserrat-v10-latin-700.ttf") format("truetype"),
    url("../assets/fonts/montserrat-v10-latin-700.svg#Montserrat") format("svg");
}

/* inconsolata-regular - latin */
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/inconsolata-v16-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('Inconsolata Regular'), local('Inconsolata-Regular'),
       url('../assets/fonts/inconsolata-v16-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/inconsolata-v16-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../assets/fonts/inconsolata-v16-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/inconsolata-v16-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../assets/fonts/inconsolata-v16-latin-regular.svg#Inconsolata') format('svg'); /* Legacy iOS */
}
/* inconsolata-700 - latin */
@font-face {
  font-family: 'Inconsolata';
  font-style: normal;
  font-weight: 700;
  src: url('../assets/fonts/inconsolata-v16-latin-700.eot'); /* IE9 Compat Modes */
  src: local('Inconsolata Bold'), local('Inconsolata-Bold'),
       url('../assets/fonts/inconsolata-v16-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/inconsolata-v16-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('../assets/fonts/inconsolata-v16-latin-700.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/inconsolata-v16-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../assets/fonts/inconsolata-v16-latin-700.svg#Inconsolata') format('svg'); /* Legacy iOS */
}

:root {
  .sc-ion-chip-md-s ion-label.chip-info {
    --label-margin-start: 0;
  }
  --monospace-font-family: 'Inconsolata', monospace;
  --ion-background-color: #1F1F1F;
  ion-router-outlet {
    --ion-background-color: #2A2A2A;
    ion-segment-button {
      background-color: #1A1A1A;
    }
  }
  --white-grid-text-color: #1A1A1A;
  .inverted-colors {
    --ion-background-color: white;
    --ion-item-text-color: #1A1A1A;
  }
  
  .validation-error-message {
    --inner-border-width: 0;
    --min-height: 24px;
  }

  ion-alert, app-modal {
    --ion-text-color: black;
    --ion-item-text-color: black;
  }
  --ion-toolbar-background-color: #0F0F0F;
  .stats-widget {
    background-color: #1A1A1A;
  }
  --ion-toolbar-text-color: white;
  --ion-item-text-color: white;
  --ion-item-background-color-active: #0F0F0F;
  --ion-font-family: "Montserrat", -apple-system, sans-serif;
  --ion-item-border-color-rgb:141,141,141;
  --ion-text-color: white;
  //--ion-backdrop-color: #000000;
  --ion-color-lightblue: #B3E5FC;
  /** primary **/
  --ion-color-primary: #3880ff;
  --ion-color-primary-hover: #246CEB;
  --ion-color-primary-active: #0F57D6;
  --ion-color-primary-rgb: 56,128,255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255,255,255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  /** secondary **/
  --ion-color-secondary: #0cd1e8;
  --ion-color-secondary-rgb: 12,209,232;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255,255,255;
  --ion-color-secondary-shade: #0bb8cc;
  --ion-color-secondary-tint: #24d6ea;

  /** tertiary **/
  --ion-color-tertiary: #7044ff;
  --ion-color-tertiary-rgb: 112,68,255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255,255,255;
  --ion-color-tertiary-shade: #633ce0;
  --ion-color-tertiary-tint: #7e57ff;

  /** success **/
  --ion-color-success: #10dc60;
  --ion-color-success-rgb: 16,220,96;
  --ion-color-success-contrast: #ffffff;
  --ion-color-success-contrast-rgb: 255,255,255;
  --ion-color-success-shade: #0ec254;
  --ion-color-success-tint: #28e070;

  /** warning **/
  --ion-color-warning: #ffce00;
  --ion-color-warning-rgb: 255,206,0;
  --ion-color-warning-contrast: #ffffff;
  --ion-color-warning-contrast-rgb: 255,255,255;
  --ion-color-warning-shade: #e0b500;
  --ion-color-warning-tint: #ffd31a;

  /** danger **/
  --ion-color-danger: #f04141;
  --ion-color-danger-rgb: 245,61,61;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255,255,255;
  --ion-color-danger-shade: #d33939;
  --ion-color-danger-tint: #f25454;

  /** dark **/
  --ion-color-dark: #222428;
  --ion-color-dark-rgb: 34,34,34;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255,255,255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  /** medium **/
  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152,154,162;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255,255,255;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  /** light **/
  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244,244,244;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0,0,0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;

}
